diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.46/utils/print-introspected-doxygen.cc ns-3.47/utils/print-introspected-doxygen.cc
--- ns-3.46/utils/print-introspected-doxygen.cc	2025-10-01 18:46:32.000000000 -0700
+++ ns-3.47/utils/print-introspected-doxygen.cc	2026-02-16 16:08:49.888231000 -0800
@@ -42,6 +42,10 @@
 
 /**
  * Markup tokens.
+ *
+ * Initializers given here are empty or whitespace values for text output.
+ * Other values for text output, and values for
+ * HTML output are configured in SetMarkup().
  * @{
  */
 std::string anchor;             ///< hyperlink anchor
@@ -51,13 +55,13 @@
 std::string boldWithIdStart;    ///< start of bold with id
 std::string boldWithIdMid;      ///< middle of bold span with id
 std::string boldWithIdStop;     ///< end of bold span with id
-std::string breakBoth;          ///< linebreak
+std::string breakBoth{"\n"};    ///< linebreak
 std::string breakHtmlOnly;      ///< linebreak for html output only
 std::string breakTextOnly;      ///< linebreak for text output only
 std::string brief;              ///< brief tag
 std::string classStart;         ///< start of a class
 std::string classStop;          ///< end of a class
-std::string codeWord;           ///< format next word as source code
+std::string codeWord{" "};      ///< format next word as source code
 std::string commentStart;       ///< start of code comment
 std::string commentStop;        ///< end of code comment
 std::string copyDoc;            ///< copy (or refer) to docs elsewhere
@@ -71,10 +75,11 @@
 std::string headingWithIdStart; ///< start of section heading with id (h3)
 std::string headingWithIdMid;   ///< middle of section heading with id (h3)
 std::string headingWithIdStop;  ///< end of section heading with id (h3)
-// Linking:  [The link text displayed](\ref TheTarget)
+std::string hideCaller;         ///< hide caller graph
+// Linking:  [The link text displayed](@ref TheTarget)
 std::string hrefStart;        ///< start of a link
 std::string hrefMid;          ///< middle part of a link
-std::string hrefStop;         ///< end of a link
+std::string hrefStop{")"};    ///< end of a link
 std::string indentHtmlOnly;   ///< small indent
 std::string listLineStart;    ///< start unordered list item
 std::string listLineStop;     ///< end unordered list item
@@ -82,8 +87,8 @@
 std::string listStop;         ///< end unordered list
 std::string note;             ///< start a note section
 std::string page;             ///< start a separate page
-std::string reference;        ///< reference tag
-std::string referenceNo;      ///< block automatic references
+std::string reference{" "};   ///< reference tag
+std::string referenceNo{" "}; ///< block automatic references
 std::string returns;          ///< the return value
 std::string sectionStart;     ///< start of a section or group
 std::string seeAlso;          ///< Reference to other docs
@@ -192,46 +197,19 @@
     NS_LOG_FUNCTION(outputText);
     if (outputText)
     {
-        anchor = "";
         argument = "  Arg: ";
-        boldStart = "";
-        boldStop = "";
-        boldWithIdStart = "";
-        boldWithIdMid = "";
-        boldWithIdStop = "";
-        breakBoth = "\n";
-        breakHtmlOnly = "";
         breakTextOnly = "\n";
-        brief = "";
-        classStart = "";
-        classStop = "\n\n";
-        codeWord = " ";
         commentStart = "===============================================================\n";
-        commentStop = "";
+        classStop = "\n\n";
         copyDoc = "  See: ";
         file = "File: introspected-doxygen.txt";
-        flagSpanStart = "";
-        flagSpanStop = "";
-        functionStart = "";
         functionStop = "\n\n";
-        headingStart = "";
-        headingStop = "";
-        headingWithIdStart = "";
-        headingWithIdMid = "";
-        headingWithIdStop = "";
         // Linking:  The link text displayed (see TheTarget)
-        hrefStart = "";
         hrefMid = " (see ";
         hrefStop = ")";
-        indentHtmlOnly = "";
         listLineStart = "    * ";
-        listLineStop = "";
-        listStart = "";
-        listStop = "";
         note = "Note: ";
         page = "Page ";
-        reference = " ";
-        referenceNo = " ";
         returns = "  Returns: ";
         sectionStart = "Section:  ";
         seeAlso = "  See: ";
@@ -246,8 +224,8 @@
     }
     else
     {
-        anchor = "\\anchor ";
-        argument = "\\param ";
+        anchor = "@anchor ";
+        argument = "@param ";
         boldStart = "<b>";
         boldStop = "</b>";
         boldWithIdStart = "<b id=\"";
@@ -255,48 +233,46 @@
         boldWithIdStop = "</b>";
         breakBoth = "<br>";
         breakHtmlOnly = "<br>";
-        breakTextOnly = "";
-        brief = "\\brief ";
-        classStart = "\\class ";
-        classStop = "";
-        codeWord = "\\p ";
-        commentStart = "/*!\n";
+        brief = "@brief ";
+        classStart = "@class ";
+        codeWord = "@p ";
+        commentStart = "/**\n";
         commentStop = "*/\n";
-        copyDoc = "\\copydoc ";
-        file = "\\file";
+        copyDoc = "@copydoc ";
+        file = "@file";
         flagSpanStart = "<span class=\"mlabel\">";
         flagSpanStop = "</span>";
-        functionStart = "\\fn ";
-        functionStop = "";
+        functionStart = "@fn ";
         headingStart = "<h3>";
         headingStop = "</h3>";
         headingWithIdStart = "<h3 id=\"";
         headingWithIdMid = "\">";
         headingWithIdStop = "</h3>";
+        hideCaller = "@hidecaller";
         // Linking:  [The link text displayed](\ref TheTarget)
         hrefStart = "[";
-        hrefMid = "](\\ref ";
+        hrefMid = "](@ref ";
         hrefStop = ")";
         indentHtmlOnly = "  ";
         listLineStart = "<li>";
         listLineStop = "</li>";
         listStart = "<ul>";
         listStop = "</ul>";
-        note = "\\note ";
-        page = "\\page ";
-        reference = " \\ref ";
+        note = "@note ";
+        page = "@page ";
+        reference = " @ref ";
         referenceNo = " %";
-        returns = "\\returns ";
-        sectionStart = "\\ingroup ";
-        seeAlso = "\\see ";
+        returns = "@returns ";
+        sectionStart = "@ingroup ";
+        seeAlso = "@see ";
         spanWithIdStart = "<span id=\"";
         spanWithIdMid = "\">";
         spanWithIdStop = "</span>";
-        subSectionStart = "\\addtogroup ";
-        templArgDeduced = "\\deduced ";
-        templArgExplicit = "\\explicit ";
-        templateArgument = "\\tparam ";
-        variable = "\\var ";
+        subSectionStart = "@addtogroup ";
+        templArgDeduced = "@deduced ";
+        templArgExplicit = "@explicit ";
+        templateArgument = "@tparam ";
+        variable = "@var ";
     }
 } // SetMarkup()
 
@@ -476,14 +452,14 @@
  *
  * The container is modified in place; the elements end up sorted.
  *
- * The container must support \c begin(), \c end() and \c erase(),
+ * The container must support @c begin(), @c end() and @c erase(),
  * which, among the STL containers, limits this to
- * \c std::vector, \c std::dequeue and \c std::list.
+ * @c std::vector, @c std::dequeue and @c std::list.
  *
- * The container elements must support \c operator< (for \c std::sort)
- * and \c operator== (for \c std::unique).
+ * The container elements must support @c operator< (for @c std::sort)
+ * and @c operator== (for @c std::unique).
  *
- * @tparam T \deduced The container type.
+ * @tparam T @deduced The container type.
  * @param t The container.
  */
 template <typename T>
@@ -797,15 +773,13 @@
     }
     else
     {
-        os << HeadingWithId("config-paths", "Config Paths") << std::endl;
-        os << std::endl;
-        os << tid.GetName() << " is accessible through the following paths"
-           << " with Config::Set and Config::Connect:" << std::endl;
-        os << listStart << std::endl;
+        os << HeadingWithId("config-paths", "Config Paths") << "\n\n"
+           << tid.GetName() << " is accessible through the following paths"
+           << " with Config::Set and Config::Connect:\n"
+           << listStart << "\n";
         for (const auto& path : paths)
         {
-            os << listLineStart << "\"" << path << "\"" << listLineStop << breakTextOnly
-               << std::endl;
+            os << listLineStart << "\"" << path << "\"" << listLineStop << breakTextOnly << "\n";
         }
         os << listStop << std::endl;
     }
@@ -826,13 +800,13 @@
 
     auto index = SortedAttributeInfo(tid);
 
-    os << listStart << std::endl;
+    os << listStart << "\n";
     for (const auto& [name, info] : index)
     {
-        os << listLineStart << boldStart << name << boldStop << ": " << info.help << std::endl;
-        os << indentHtmlOnly << listStart << std::endl;
-        os << "    " << listLineStart << "Set with class: " << reference
-           << info.checker->GetValueTypeName() << listLineStop << std::endl;
+        os << listLineStart << boldStart << name << boldStop << ": " << info.help << "\n"
+           << indentHtmlOnly << listStart << "\n"
+           << "    " << listLineStart << "Set with class: " << reference
+           << info.checker->GetValueTypeName() << listLineStop << "\n";
 
         std::string underType;
         if (info.checker->HasUnderlyingTypeInformation())
@@ -885,7 +859,7 @@
             {
                 os << codeWord << underType;
             }
-            os << listLineStop << std::endl;
+            os << listLineStop << "\n";
         }
         if (info.flags & TypeId::ATTR_CONSTRUCT && info.accessor->HasSetter())
         {
@@ -894,8 +868,7 @@
             {
                 value = "\"\"";
             }
-            os << "    " << listLineStart << "Initial value: " << value << listLineStop
-               << std::endl;
+            os << "    " << listLineStart << "Initial value: " << value << listLineStop << "\n";
         }
         bool moreFlags{false};
         os << "    " << listLineStart << "Flags: ";
@@ -913,11 +886,11 @@
         flagWrite(TypeId::ATTR_CONSTRUCT, info.accessor->HasSetter(), "construct");
         flagWrite(TypeId::ATTR_SET, info.accessor->HasSetter(), "write");
         flagWrite(TypeId::ATTR_GET, info.accessor->HasGetter(), "read");
-        os << listLineStop << std::endl;
+        os << listLineStop << "\n";
 
         PrintSupportLevel(os, info.supportLevel, info.supportMsg);
 
-        os << indentHtmlOnly << listStop << std::endl;
+        os << indentHtmlOnly << listStop << "\n";
     }
     os << listStop << std::endl;
 } // PrintAttributesTid()
@@ -976,22 +949,21 @@
 
     auto index = SortedTraceSourceInfo(tid);
 
-    os << listStart << std::endl;
+    os << listStart << "\n";
     for (const auto& [name, info] : index)
     {
-        os << listLineStart << boldStart << name << boldStop << ": " << info.help << breakBoth;
-        os << indentHtmlOnly << listStart << std::endl;
-        os << "    " << listLineStart;
+        os << listLineStart << boldStart << name << boldStop << ": " << info.help << breakBoth
+           << indentHtmlOnly << listStart << "\n"
+           << "    " << listLineStart;
         if (!outputText)
         {
             // '%' prevents doxygen from linking to the Callback class...
             os << " %";
         }
-        os << "Callback signature: " << info.callback << std::endl;
-        os << listLineStop << std::endl;
+        os << "Callback signature: " << info.callback << "\n" << listLineStop << "\n";
 
         PrintSupportLevel(os, info.supportLevel, info.supportMsg);
-        os << listStop << std::endl;
+        os << listStop << "\n";
     }
     os << listStop << std::endl;
 } // PrintTraceSourcesTid()
@@ -1067,10 +1039,7 @@
 
     std::string name = tid.GetName();
 
-    os << commentStart << std::endl;
-
-    os << classStart << name << std::endl;
-    os << std::endl;
+    os << commentStart << "\n" << classStart << name << "\n\n";
 
     PrintConfigPaths(os, tid);
     PrintAttributes(os, tid);
@@ -1078,11 +1047,11 @@
 
     if (tid.GetGroupName().empty())
     {
-        os << SpanWithId("group", name + " does not belong to a group") << breakBoth << std::endl;
+        os << SpanWithId("group", name + " does not belong to a group") << breakBoth << "\n";
     }
     else
     {
-        os << BoldWithId("group", "Group:") << tid.GetGroupName() << breakBoth << std::endl;
+        os << BoldWithId("group", "Group:") << tid.GetGroupName() << breakBoth << "\n";
     }
 
     PrintSize(os, tid);
@@ -1131,14 +1100,13 @@
 PrintAllTypeIds(std::ostream& os)
 {
     NS_LOG_FUNCTION_NOARGS();
-    os << commentStart << page << "TypeIdList All ns3::TypeId's\n" << std::endl;
-    os << "This is a list of all" << reference << "ns3::TypeId's.\n"
+    os << commentStart << page << "TypeIdList All ns3::TypeId's\n\n"
+       << "This is a list of all" << reference << "ns3::TypeId's.\n"
        << "For more information see the" << reference << "ns3::TypeId "
        << "section of this API documentation and the" << referenceNo << "TypeId section "
-       << "in the Configuration and " << referenceNo << "Attributes chapter of the Manual.\n"
-       << std::endl;
+       << "in the Configuration and " << referenceNo << "Attributes chapter of the Manual.\n\n";
 
-    os << listStart << std::endl;
+    os << listStart << "\n";
 
     NameMap nameMap = GetNameMap();
     // Iterate over the map, which will print the class names in
@@ -1154,10 +1122,9 @@
         TypeId tid = TypeId::GetRegistered(item.second);
 
         os << indentHtmlOnly << listLineStart << boldStart << tid.GetName() << boldStop
-           << listLineStop << std::endl;
+           << listLineStop << "\n";
     }
-    os << listStop << std::endl;
-    os << commentStop << std::endl;
+    os << listStop << "\n" << commentStop << std::endl;
 
 } // PrintAllTypeIds()
 
@@ -1173,12 +1140,11 @@
 PrintAllAttributes(std::ostream& os)
 {
     NS_LOG_FUNCTION_NOARGS();
-    os << commentStart << page << "AttributeList All Attributes\n" << std::endl;
-    os << "This is a list of all" << reference << "attributes classes.  "
+    os << commentStart << page << "AttributeList All Attributes\n\n"
+       << "This is a list of all" << reference << "attributes classes.  "
        << "For more information see the" << reference << "attributes "
        << "section of this API documentation and the Attributes sections "
-       << "in the Tutorial and Manual.\n"
-       << std::endl;
+       << "in the Tutorial and Manual.\n\n";
 
     NameMap nameMap = GetNameMap();
     // Iterate over the map, which will print the class names in
@@ -1200,14 +1166,13 @@
 
         auto index = SortedAttributeInfo(tid);
 
-        os << boldStart << tid.GetName() << boldStop << breakHtmlOnly << std::endl;
-        os << listStart << std::endl;
+        os << boldStart << tid.GetName() << boldStop << breakHtmlOnly << "\n" << listStart << "\n";
         for (const auto& [name, info] : index)
         {
             os << listLineStart << boldStart << name << boldStop << ": " << info.help
-               << listLineStop << std::endl;
+               << listLineStop << "\n";
         }
-        os << listStop << std::endl;
+        os << listStop << "\n";
     }
     os << commentStop << std::endl;
 
@@ -1222,22 +1187,20 @@
 PrintAllGlobals(std::ostream& os)
 {
     NS_LOG_FUNCTION_NOARGS();
-    os << commentStart << page << "GlobalValueList All GlobalValues\n" << std::endl;
-    os << "This is a list of all" << reference << "ns3::GlobalValue instances.\n"
-       << "See ns3::GlobalValue for how to set these." << std::endl;
+    os << commentStart << page << "GlobalValueList All GlobalValues\n\n"
+       << "This is a list of all" << reference << "ns3::GlobalValue instances.\n"
+       << "See ns3::GlobalValue for how to set these.\n";
 
-    os << listStart << std::endl;
+    os << listStart << "\n";
     for (auto i = GlobalValue::Begin(); i != GlobalValue::End(); ++i)
     {
         StringValue val;
         (*i)->GetValue(val);
         os << indentHtmlOnly << listLineStart << boldStart << hrefStart << (*i)->GetName()
            << hrefMid << "GlobalValue" << (*i)->GetName() << hrefStop << boldStop << ": "
-           << (*i)->GetHelp() << ".  Default value: " << val.Get() << "." << listLineStop
-           << std::endl;
+           << (*i)->GetHelp() << ".  Default value: " << val.Get() << "." << listLineStop << "\n";
     }
-    os << listStop << std::endl;
-    os << commentStop << std::endl;
+    os << listStop << "\n" << commentStop << std::endl;
 
 } // PrintAllGlobals()
 
@@ -1250,25 +1213,24 @@
 PrintAllGroups(std::ostream& os)
 {
     NS_LOG_FUNCTION_NOARGS();
-    os << commentStart << page << "GroupsList All Object Groups\n" << std::endl;
-    os << "This is a list of all Object Groups.\n"
+    os << commentStart << page << "GroupsList All Object Groups\n\n"
+       << "This is a list of all Object Groups.\n"
        << "Objects are added to groups by " << hrefStart << "ns3::TypeId::SetGroupName()" << hrefMid
-       << "ns3::TypeId::SetGroupName" << hrefStop << "\n"
-       << std::endl;
+       << "ns3::TypeId::SetGroupName" << hrefStop << "\n\n";
 
     auto groups = GetGroupsList();
 
     for (const auto& g : groups)
     {
-        os << boldStart << g.first << boldStop << breakHtmlOnly << std::endl;
+        os << boldStart << g.first << boldStop << breakHtmlOnly << "\n";
 
-        os << listStart << std::endl;
+        os << listStart << "\n";
         for (const auto& tid : g.second)
         {
             os << indentHtmlOnly << listLineStart << hrefStart << tid.GetName() << hrefMid
-               << tid.GetName() << hrefStop << listLineStop << std::endl;
+               << tid.GetName() << hrefStop << listLineStop << "\n";
         }
-        os << listStop << std::endl;
+        os << listStop << "\n";
     }
     os << commentStop << std::endl;
 }
@@ -1282,8 +1244,8 @@
 PrintAllLogComponents(std::ostream& os)
 {
     NS_LOG_FUNCTION_NOARGS();
-    os << commentStart << page << "LogComponentList All LogComponents\n" << std::endl;
-    os << "This is a list of all" << reference << "ns3::LogComponent instances.\n" << std::endl;
+    os << commentStart << page << "LogComponentList All LogComponents\n\n"
+       << "This is a list of all" << reference << "ns3::LogComponent instances.\n\n";
 
     /**
      * @todo Switch to a border-less table, so the file links align
@@ -1311,9 +1273,9 @@
 
     // Header line has to be padded to same length as separator line
     os << tLeft << std::setw(widthL) << std::left << "Log Component" << tMid << std::setw(widthR)
-       << std::left << "File" << tRight << std::endl;
-    os << tLeft << ":" << std::string(widthL - 1, '-') << tMid << ":"
-       << std::string(widthR - 1, '-') << tRight << std::endl;
+       << std::left << "File" << tRight << "\n"
+       << tLeft << ":" << std::string(widthL - 1, '-') << tMid << ":"
+       << std::string(widthR - 1, '-') << tRight << "\n";
 
     for (const auto& it : (*logs))
     {
@@ -1326,10 +1288,9 @@
         }
 
         os << tLeft << std::setw(widthL) << std::left << it.first << tMid << std::setw(widthR)
-           << file << tRight << std::endl;
+           << file << tRight << "\n";
     }
-    os << std::right << std::endl;
-    os << commentStop << std::endl;
+    os << std::right << "\n" << commentStop << std::endl;
 } // PrintAllLogComponents()
 
 /**
@@ -1344,12 +1305,11 @@
 PrintAllTraceSources(std::ostream& os)
 {
     NS_LOG_FUNCTION_NOARGS();
-    os << commentStart << page << "TraceSourceList All TraceSources\n" << std::endl;
-    os << "This is a list of all" << reference << "tracing sources.  "
+    os << commentStart << page << "TraceSourceList All TraceSources\n\n"
+       << "This is a list of all" << reference << "tracing sources.  "
        << "For more information see the " << reference << "tracing "
        << "section of this API documentation and the Tracing sections "
-       << "in the Tutorial and Manual.\n"
-       << std::endl;
+       << "in the Tutorial and Manual.\n\n";
 
     NameMap nameMap = GetNameMap();
 
@@ -1372,15 +1332,15 @@
 
         auto index = SortedTraceSourceInfo(tid);
 
-        os << boldStart << tid.GetName() << boldStop << breakHtmlOnly << std::endl;
+        os << boldStart << tid.GetName() << boldStop << breakHtmlOnly << "\n";
 
-        os << listStart << std::endl;
+        os << listStart << "\n";
         for (const auto& [name, info] : index)
         {
             os << listLineStart << boldStart << name << boldStop << ": " << info.help
-               << listLineStop << std::endl;
+               << listLineStop << "\n";
         }
-        os << listStop << std::endl;
+        os << listStop << "\n";
     }
     os << commentStop << std::endl;
 
@@ -1409,8 +1369,8 @@
     NS_LOG_FUNCTION(name);
     std::string section = "attribute_" + name;
 
-    // \ingroup attributes
-    // \defgroup attribute_<name>Value <name> Attribute
+    // @ingroup attributes
+    // @defgroup attribute_<name>Value <name> Attribute
     os << commentStart << sectionStart << "attributes\n"
        << subSectionStart << "attribute_" << name << " " << name << " Attribute\n"
        << "AttributeValue implementation for " << name << "\n";
@@ -1418,14 +1378,14 @@
     {
         os << seeAlso << "ns3::" << name << "\n";
     }
-    os << commentStop;
+    os << hideCaller << "\n" << commentStop;
 
 } // PrintAttributeValueSection()
 
 /**
  * Print the AttributeValue documentation for a class.
  *
- * This will print documentation for the \pname{AttributeValue} class and methods.
+ * This will print documentation for the @pname{AttributeValue} class and methods.
  *
  * @param [in,out] os The output stream.
  * @param [in] name The token to use in defining the accessor name.
@@ -1441,16 +1401,17 @@
     NS_LOG_FUNCTION(name << type << header);
     std::string sectAttr = sectionStart + "attribute_" + name;
 
-    // \ingroup attribute_<name>Value
-    // \class ns3::<name>Value "header"
+    // @ingroup attribute_<name>Value
+    // @class ns3::<name>Value "header"
     std::string valClass = name + "Value";
     std::string qualClass = " ns3::" + valClass;
 
-    os << commentStart << sectAttr << std::endl;
-    os << classStart << qualClass << " \"" << header << "\"" << std::endl;
-    os << "AttributeValue implementation for " << name << "." << std::endl;
-    os << seeAlso << "AttributeValue" << std::endl;
-    os << commentStop;
+    os << commentStart << sectAttr << "\n"
+       << classStart << qualClass << " \"" << header << "\"\n"
+       << "AttributeValue implementation for " << name << ".\n"
+       << seeAlso << "ns3::AttributeValue\n"
+       << hideCaller << "\n"
+       << commentStop;
 
     // Ctor: <name>Value::<name>Value
     os << commentStart << functionStart << qualClass << "::" << valClass;
@@ -1493,7 +1454,7 @@
 /**
  * Print the AttributeValue MakeAccessor documentation for a class.
  *
- * This will print documentation for the \pname{Make<name>Accessor} functions.
+ * This will print documentation for the @pname{Make<name>Accessor} functions.
  *
  * @param [in,out] os The output stream.
  * @param [in] name The token to use in defining the accessor name.
@@ -1505,27 +1466,29 @@
     std::string sectAttr = sectionStart + "attribute_" + name + "\n";
     std::string make = "ns3::Make" + name + "Accessor ";
 
-    // \ingroup attribute_<name>Value
+    // @ingroup attribute_<name>Value
     // Make<name>Accessor(T1 a1)
     os << commentStart << sectAttr << functionStart << "ns3::Ptr<const ns3::AttributeAccessor> "
        << make << "(T1 a1)\n"
        << copyDoc << "ns3::MakeAccessorHelper(T1)\n"
-       << seeAlso << "AttributeAccessor\n"
+       << seeAlso << "ns3::AttributeAccessor\n"
+       << hideCaller << "\n"
        << commentStop;
 
-    // \ingroup attribute_<name>Value
+    // @ingroup attribute_<name>Value
     // Make<name>Accessor(T1 a1)
     os << commentStart << sectAttr << functionStart << "ns3::Ptr<const ns3::AttributeAccessor> "
        << make << "(T1 a1, T2 a2)\n"
        << copyDoc << "ns3::MakeAccessorHelper(T1,T2)\n"
-       << seeAlso << "AttributeAccessor\n"
+       << seeAlso << "ns3::AttributeAccessor\n"
+       << hideCaller << "\n"
        << commentStop;
 } // PrintMakeAccessors()
 
 /**
  * Print the AttributeValue MakeChecker documentation for a class.
  *
- * This will print documentation for the \pname{Make<name>Checker} function.
+ * This will print documentation for the @pname{Make<name>Checker} function.
  *
  * @param [in,out] os The output stream.
  * @param [in] name The token to use in defining the accessor name.
@@ -1538,21 +1501,23 @@
     std::string sectAttr = sectionStart + "attribute_" + name + "\n";
     std::string make = "ns3::Make" + name + "Checker ";
 
-    // \ingroup attribute_<name>Value
+    // @ingroup attribute_<name>Value
     // class <name>Checker
-    os << commentStart << sectAttr << std::endl;
-    os << classStart << " ns3::" << name << "Checker"
-       << " \"" << header << "\"" << std::endl;
-    os << "AttributeChecker implementation for " << name << "Value." << std::endl;
-    os << seeAlso << "AttributeChecker" << std::endl;
-    os << commentStop;
+    os << commentStart << sectAttr << "\n"
+       << classStart << " ns3::" << name << "Checker"
+       << " \"" << header << "\"\n"
+       << "AttributeChecker implementation for " << name << "Value.\n"
+       << seeAlso << "ns3::AttributeChecker\n"
+       << hideCaller << "\n"
+       << commentStop;
 
-    // \ingroup attribute_<name>Value
+    // @ingroup attribute_<name>Value
     // Make<name>Checker()
     os << commentStart << sectAttr << functionStart << "ns3::Ptr<const ns3::AttributeChecker> "
        << make << "()\n"
        << returns << "The AttributeChecker.\n"
-       << seeAlso << "AttributeChecker\n"
+       << seeAlso << "ns3::AttributeChecker\n"
+       << hideCaller << "\n"
        << commentStop;
 } // PrintMakeChecker()
 
@@ -1694,8 +1659,7 @@
         }
         else
         {
-            std::cerr << "Invalid TypeId name: " << typeId << "\n" << std::endl;
-            std::cerr << cmd;
+            std::cerr << "Invalid TypeId name: " << typeId << "\n\n" << cmd << std::endl;
             exit(1);
         }
     }
@@ -1706,10 +1670,10 @@
     NodeContainer c;
     c.Create(1);
 
-    std::cout << std::endl;
-    std::cout << commentStart << file << "\n"
+    std::cout << "\n"
+              << commentStart << file << "\n"
               << sectionStart << "utils\n"
-              << "Doxygen docs generated from the TypeId database.\n"
+              << "Doxygen docs generated from the ns3::TypeId database.\n"
               << note << "This file is automatically generated by " << codeWord
               << "print-introspected-doxygen.cc. Do not edit this file! "
               << "Edit that file instead.\n"
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.46/utils/python-unit-tests.py ns-3.47/utils/python-unit-tests.py
--- ns-3.46/utils/python-unit-tests.py	2025-10-01 18:46:32.000000000 -0700
+++ ns-3.47/utils/python-unit-tests.py	2026-02-16 16:08:49.888231000 -0800
@@ -49,14 +49,12 @@
         ns.Simulator.Destroy()
         self._args_received = None
         self._cb_time = None
-        ns.cppyy.cppdef(
-            """
+        ns.cppyy.cppdef("""
             EventImpl* pythonMakeEvent(void (*f)(std::vector<std::string>), std::vector<std::string> l)
             {
                 return MakeEvent(f, l);
             }
-        """
-        )
+        """)
         event = ns.cppyy.gbl.pythonMakeEvent(callback, sys.argv)
         ns.Simulator.ScheduleNow(event)
         ns.Simulator.Run()
@@ -80,14 +78,12 @@
         ns.Simulator.Destroy()
         self._args_received = None
         self._cb_time = None
-        ns.cppyy.cppdef(
-            """
+        ns.cppyy.cppdef("""
             EventImpl* pythonMakeEvent2(void (*f)(std::vector<std::string>), std::vector<std::string> l)
             {
                 return MakeEvent(f, l);
             }
-        """
-        )
+        """)
         event = ns.cppyy.gbl.pythonMakeEvent2(callback, sys.argv)
         ns.Simulator.Schedule(ns.Seconds(123), event)
         ns.Simulator.Run()
@@ -113,14 +109,12 @@
         self._cb_time = None
         ns.cppyy.cppdef("void null(){ return; }")
         ns.Simulator.Schedule(ns.Seconds(123), ns.cppyy.gbl.null)
-        ns.cppyy.cppdef(
-            """
+        ns.cppyy.cppdef("""
             EventImpl* pythonMakeEvent3(void (*f)(std::vector<std::string>), std::vector<std::string> l)
             {
                 return MakeEvent(f, l);
             }
-        """
-        )
+        """)
         event = ns.cppyy.gbl.pythonMakeEvent3(callback, sys.argv)
         ns.Simulator.ScheduleDestroy(event)
         ns.Simulator.Run()
@@ -148,14 +142,12 @@
         self._args_received = None
         self._cb_time = None
         self._context_received = None
-        ns.cppyy.cppdef(
-            """
+        ns.cppyy.cppdef("""
             EventImpl* pythonMakeEvent4(void (*f)(uint32_t, std::vector<std::string>), uint32_t context, std::vector<std::string> l)
             {
                 return MakeEvent(f, context, l);
             }
-        """
-        )
+        """)
         event = ns.cppyy.gbl.pythonMakeEvent4(callback, 54321, sys.argv)
         ns.Simulator.ScheduleWithContext(54321, ns.Seconds(123), event)
         ns.Simulator.Run()
@@ -207,14 +199,12 @@
         def python_rx_callback(socket) -> None:
             self._received_packet = socket.Recv(maxSize=UINT32_MAX, flags=0)
 
-        ns.cppyy.cppdef(
-            """
+        ns.cppyy.cppdef("""
             Callback<void,ns3::Ptr<ns3::Socket> > make_rx_callback_test_socket(void(*func)(Ptr<Socket>))
             {
                 return MakeCallback(func);
             }
-        """
-        )
+        """)
 
         sink = ns.Socket.CreateSocket(node, ns.TypeId.LookupByName("ns3::UdpSocketFactory"))
         sink.Bind(ns.InetSocketAddress(ns.Ipv4Address.GetAny(), 80).ConvertTo())
@@ -368,8 +358,7 @@
 
         interfaces = address.Assign(devices)
 
-        ns.cppyy.cppdef(
-            """
+        ns.cppyy.cppdef("""
             namespace ns3
             {
                 Callback<void,Ptr<Socket> > make_rx_callback(void(*func)(Ptr<Socket>))
@@ -381,8 +370,7 @@
                     return MakeEvent(f, socket, packet, address);
                 }
             }
-        """
-        )
+        """)
 
         ## EchoServer application class
         class EchoServer(ns.Application):
